[start]
start_tag=amlogic_start


[lcd_Attr]

#version
version=1

#basic
model_name=vbyone_2region_ldim
interface=LCD_VBYONE # LCD_TTL, LCD_LVDS, LCD_VBYONE, LCD_MLVDS, LCD_P2P
lcd_bits=10
screen_width=16
screen_height=9

#timming
h_active=3840
v_active=2160
h_period=4400
v_period=2250
hsync_width=33
hsync_bp=477
hsync_pol=0
vsync_width=6
vsync_bp=65
vsync_pol=0

#customer
fr_adjust_type=2 # 0-clock, 1-htotal, 2-vtotal, 3-auto_range, 4-hdmi_mode
ss_level=3 # 0-disable, 2000ppm/step
clk_auto_gen=1
pixel_clk=0 # unit in Hz

#interface

#vbyone_attr
if_attr_0=8 # lane_count
if_attr_1=2 # region_num
if_attr_2=4 # byte_mode
if_attr_3=4 # color_fmt

#phy_attr
if_attr_4=0xf #vswing_level
if_attr_5=0x1 #preemphasis_level

#intr_en
if_attr_6=1 #vx1 intr en
if_attr_7=3 #vsync intr en

#filter
if_attr_8 = 0x0 #filter_time
if_attr_9 = 0x0 #filter_cnt

#power
#power type:(0=cpu_gpio, 1=pmu_gpio, 2=signal, 3=extern, 0xff=ending)
#power index:(point gpios_index, or extern_index, 0xff=invalid)
#power value:(0=output low, 1=output high, 2=input)
#power delay:(unit in ms)

power_on_step = {
    0,0,1,20, #panel power on
    2,0,0,0,  #signal enable
    0xff,0,0,0, #ending
};

power_off_step = {
    2,0,0,20,  #signal disable
    0,0,0,100, #panel power off
    0xff,0,0,0, #ending
};


[lcd_ext_Attr]

#version
version=1

#ext_config
ext_name=ext_default
ext_index=0xff
ext_type=LCD_EXTERN_I2C
ext_status=0


[Backlight_Attr]

#version
version=2  #version2 support ldim

#name
bl_name=ldim_iw7027

#level

#bl_level_default_uboot_kernel
bl_level_uboot=100
bl_level_kernel=100

#bl_level_attr
bl_level_max=255
bl_level_min=10
bl_level_mid=128
bl_level_mid_mapping=128

#bl_ctrl_method: BL_CTRL_PWM, BL_CTRL_PWM_COMBO, BL_CTRL_LOCAL_DIMMING, BL_CTRL_EXTERN
bl_method=BL_CTRL_LOCAL_DIMMING

#bl_power_attr
bl_en_gpio=0xff
bl_en_gpio_on=1
bl_en_gpio_off=0
bl_on_delay=440
bl_off_delay=110

#ldim_attr
bl_ldim_row=1
bl_ldim_col=10

#ldim_mode: LDIM_LR_SIDE, LDIM_TB_SIDE, LDIM_DIRECT
bl_ldim_mode=LDIM_TB_SIDE

bl_ldim_dev_index=2


[panel_misc]
panel_misc_version=1
outputmode=2160p60hz
panel_reverse=0


[end]
end_tag=amlogic_end
